
%global meadversion 4.1.0
%global namedversion 4.1.0.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with extras
%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}httpcomponents-asyncclient}
%{!?scl:%global pkg_name %{name}}

%define maven_version 4.1.0.redhat-1

Name:           %{?scl_prefix}httpcomponents-asyncclient
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache HttpComponents AsyncClient
Group:          Development/Java

%if %with mead
Source100: httpcomponents-asyncclient-4.1.0.redhat-1-scm-sources.zip
Source102: httpasyncclient-4.1.0.redhat-1-sources.jar
Source103: httpasyncclient-4.1.0.redhat-1.pom
Source104: httpasyncclient-4.1.0.redhat-1.jar
Source105: httpcomponents-asyncclient-4.1.0.redhat-1.pom
Source106: httpcomponents-asyncclient-4.1.0.redhat-1-project-sources.tar.gz
Source107: httpasyncclient-cache-4.1.0.redhat-1-javadoc.jar
Source108: httpasyncclient-cache-4.1.0.redhat-1.pom
Source109: httpasyncclient-cache-4.1.0.redhat-1.jar
Source110: httpasyncclient-cache-4.1.0.redhat-1-sources.jar
Source111: httpasyncclient-osgi-4.1.0.redhat-1.pom
Source112: httpasyncclient-osgi-4.1.0.redhat-1.jar
Source113: httpasyncclient-osgi-4.1.0.redhat-1-sources.jar
%endif

License:        ASL 2.0
URL:            http://hc.apache.org/httpcomponents-asyncclient
Requires:       %{?scl_prefix_eap}httpcomponents-core >= 0:4.3.3
Requires:       %{?scl_prefix_eap}httpcomponents-client >= 0:4.3.6
%if %with extras
Provides:       %{?scl_prefix}httpasyncclient-cache = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}httpasyncclient-osgi = %{epoch}:%{version}-%{release}
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Components to build asynchronous client side HTTP services.

%if %with javadoc
%package javadoc
Summary:        Javadoc for httpcomponents-asyncclient
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n httpasyncclient -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/httpasyncclient-%{namedversion}.jar %{buildroot}%{_javadir}/httpasyncclient-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/httpasyncclient-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/httpasyncclient-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/httpasyncclient-%{namedversion}-sources.jar %{buildroot}%{_javadir}/httpasyncclient-%{namedversion}-sources.jar
%if %with extras
%{__cp} -p %{_sourcedir}/httpasyncclient-cache-%{namedversion}.jar %{buildroot}%{_javadir}/httpasyncclient-cache-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/httpasyncclient-cache-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/httpasyncclient-cache-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/httpasyncclient-cache-%{namedversion}-sources.jar %{buildroot}%{_javadir}/httpasyncclient-cache-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpasyncclient-osgi-%{namedversion}.jar %{buildroot}%{_javadir}/httpasyncclient-osgi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/httpasyncclient-osgi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/httpasyncclient-osgi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/httpasyncclient-osgi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/httpasyncclient-osgi-%{namedversion}-sources.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/httpcomponents-asyncclient-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/httpcomponents-asyncclient-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/httpcomponents-asyncclient-%{namedversion} -x META-INF/\*
%{__ln_s} httpcomponents-asyncclient-%{namedversion} %{buildroot}%{_javadocdir}/httpcomponents-asyncclient
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc BUILDING.txt LICENSE.txt NOTICE.txt README.txt RELEASE_NOTES.txt
%{_javadir}/httpasyncclient-%{namedversion}.jar
%{_javadir}/httpasyncclient.jar
%if %with javadoc
%{_javadir}/httpasyncclient-%{namedversion}-javadoc.jar
%{_javadir}/httpasyncclient-javadoc.jar
%endif
%{_javadir}/httpasyncclient-%{namedversion}-sources.jar
%{_javadir}/httpasyncclient-sources.jar
%if %with extras
%{_javadir}/httpasyncclient-cache-%{namedversion}.jar
%{_javadir}/httpasyncclient-cache.jar
%if %with javadoc
%{_javadir}/httpasyncclient-cache-%{namedversion}-javadoc.jar
%{_javadir}/httpasyncclient-cache-javadoc.jar
%endif
%{_javadir}/httpasyncclient-cache-%{namedversion}-sources.jar
%{_javadir}/httpasyncclient-cache-sources.jar
%{_javadir}/httpasyncclient-osgi-%{namedversion}.jar
%{_javadir}/httpasyncclient-osgi.jar
%if %with javadoc
%{_javadir}/httpasyncclient-osgi-%{namedversion}-javadoc.jar
%{_javadir}/httpasyncclient-osgi-javadoc.jar
%endif
%{_javadir}/httpasyncclient-osgi-%{namedversion}-sources.jar
%{_javadir}/httpasyncclient-osgi-sources.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/httpcomponents-asyncclient-%{namedversion}
%{_javadocdir}/httpcomponents-asyncclient
%endif

%changelog
* Wed Aug 26 2015 Hui Wang <huwang@redhat.com> - 4.1.0-1.redhat_1.1
- Upgrade to 4.1.0.redhat-1

* Wed May 13 2015 David Walluck <dwalluck@redhat.com> - 4.0.1-1.redhat_1.1
- release

